<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/list_refresh"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:focusable="true"
    android:focusableInTouchMode="true">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/ui_background"
                android:visibility="gone" />

            <include
                layout="@layout/reuse_loading"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true" />

            <include
                android:id="@+id/reuse_none_data"
                layout="@layout/reuse_none_data" />

            <include
                android:id="@+id/reuse_data_exception"
                layout="@layout/reuse_data_exception" />

            <include
                layout="@layout/reuse_no_connection"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="80dp" />
        </RelativeLayout>
    </LinearLayout>
</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>
